Subject: RE: [Pana] the question that I wanted to ask at the mike before the line was cut off...

From: [email-masked]
Date: Tue, 9 Mar 2004 15:05:10 +0200

NAP is connected to ISP(s). I guess NAP could provide WLAN APs, but the ISP the backbone connection. If APs are shared among different ISPs, then ISP selection comes into the picture. I guess the question is how many ISPs could be connected to one NAP? Or what is the definition of NAP and ISP.. and how far does the NAP-ISP border go. Is NAP the as ANP (Access Network Provider)? :)

So, my understanding currently is that I may use NAI like [email-masked] and when I'm attaching to a NAP it advertises me ISPs that are connected to it, for example htv.fi, teliasonera.fi, and saunalahti.fi. Then I select one, let's say htv.fi and send that selection in the PSA message to the PAA. PAA then sends the AAA request to the htv.fi AAA gw/server, but the destination realm is visa.com.

- Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of ext
> Jari Arkko
> Sent: 01 March, 2004 09:21
> To: [email-masked]
> Subject: [Pana] the question that I wanted to ask at the mike 
> before the
> line was cut off...
> 
> 
> 
> I guess I still don't understand how roaming works in PANA.
> Currently, Diameter, for instance, works through looking at
> the NAI at the NAS, and placing this value in the Destination-Realm
> AVP. All this happens in the NAS. But the NAS doesn't have
> to have all routing information to the possible realms. Instead,
> it would typically have a default router to the access provider's
> proxy or mediating network's proxy which makes the final routing
> selection.
> 
> This is simple enough so far, but what's the problem with PANA?
> The issue is that I don't understand how you can use the 
> ISP-Information
> at the PANA layer to fill in the Destination-Realm. Or you can use
> it in the case that the NAS has been configured to recognize the
> given ISP. But in a typical case the NAS would not be configured with
> the 1000 different home realms that you can be connected to. So,
> does PANA limit selected ISP to the ones it has advertised? If yes,
> then you would have to have all those 1000 ISPs configured in the
> PANA-enabled NASes. If you try to force one of the few known ISPs
> (bighome.com) but the user wanted to get to another one
> (smallandunknownisp.com), things would break, I think. This is because
> the Destination-Realm would be set to bighome.com whereas you really
> should have set it to smallandunknownisp.com. In either case 
> the message
> should be directly sent to the bighome.com AAA server, but this can
> only route the request further if the Destination-Realm AVP is
> set correctly.
> 
> --Jari
> 
> 
> 
> _______________________________________________
> Pana mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pana
> 

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana

---

From: Yoshihiro Ohba <[email-masked]>
Date: Fri, 12 Mar 2004 14:01:12 -0800

Hi Dan and Jari,

> So, my understanding currently is that I may use NAI like [email-masked] and when I'm attaching to a NAP it advertises me ISPs that are connected to it, for example htv.fi, teliasonera.fi, and saun…

If we consider the realm-based routing table in Diameter (section 2.7
of RFC3588), a PAA node with a single Diameter client might not be
able to support this case, since the routing table does not contain
the chosen ISP information.  However, the case can be supported if
multiple Diameter clients are running on the PAA node, where each
Diameter client is dedicated to serve a particular ISP by having its
own realm-based routing table.  In this case, the PAA can generate a
AAA request and pass it (via internal communication) to the Diameter
client that serves for htv.fi, and the Diameter client will take care
of the rest of AAA routing towards the visa.com Diameter server 
through the htv.fi network.

Yoshihiro Ohba

---

From: Yoshihiro Ohba <[email-masked]>
Date: Fri, 12 Mar 2004 14:01:12 -0800

Hi Dan and Jari,

Yoshihiro Ohba

---

From: Alper Yegin <[email-masked]>
Date: Mon, 15 Mar 2004 03:45:59 -0800

> > So, my understanding currently is that I may use NAI like
[email-masked]
> and when I'm attaching to a NAP it advertises me ISPs that are
connected
> to it, for example htv.fi, teliasonera.fi, and saunalahti.fi. Then I
> select one, let's say htv.fi and send that selection in the PSA
message to
> the PAA. PAA then sends the AAA request to the htv.fi AAA gw/server,
but
> the destination realm is visa.com.
> 

I don't think we need to run multiple AAA clients on the NAS. Just have
a table to map "ISP-info" to "ISP realms." 

Alper

---

From: Alper Yegin <[email-masked]>
Date: Mon, 15 Mar 2004 03:45:59 -0800

[email-masked]
connected
message to
but

Alper

---

From: Yoshihiro Ohba <[email-masked]>
Date: Fri, 12 Mar 2004 18:02:40 -0800

> a table to map "ISP-info" to "ISP realms." 

Can the NAS have such a table without changing the structure of 
realm-based routing table?

Yoshihiro Ohba

---

From: Yoshihiro Ohba <[email-masked]>
Date: Fri, 12 Mar 2004 18:02:40 -0800

Yoshihiro Ohba

---

From: Alper Yegin <[email-masked]>
Date: Mon, 15 Mar 2004 16:36:13 -0800

> realm-based routing table?

This is just another level of lookup table, separate from the
realm-based routing table. It maps "ISP-info" to realm information. Once
the NAS knows the selected realm, the rest is the same as before. 

We don't need this additional lookup when we use NAI-based ISP
selection, because the "realm" is already embedded in the NAI. 

Alper

---

From: Alper Yegin <[email-masked]>
Date: Mon, 15 Mar 2004 16:36:13 -0800

Alper

---

From: Yoshihiro Ohba <[email-masked]>
Date: Fri, 12 Mar 2004 09:51:49 -0800

Let me foward my reply which might have failed to send.

Yoshihiro Ohba

On Fri, Mar 12, 2004 at 06:59:01AM -0800,  wrote:
> Diameter client is dedicated to serve a particular ISP by having a
> distinct realm-based routing table.  In this case, the PAA can
> generate a AAA request and pass it (via internal communication) to the
> Diameter client corresponding to htv.fi, and the Diameter client will
> take care of generating a Diameter-EAP-Request and forwarding it
> towards a Diameter server of visa.com based on the distinct
> realm-based routing table for the Diameter client.
> 
> Yoshihiro Ohba
> 
> 
> > 
> > - Dan
> >

---

From: Yoshihiro Ohba <[email-masked]>
Date: Fri, 12 Mar 2004 06:59:01 -0800

Yoshihiro Ohba

---

From: Yoshihiro Ohba <[email-masked]>
Date: Fri, 12 Mar 2004 06:59:01 -0800

Yoshihiro Ohba

---

From: Yoshihiro Ohba <[email-masked]>
Date: Fri, 12 Mar 2004 09:51:49 -0800

Yoshihiro Ohba